Api referenceMedia
Confirm File Upload
Authorization
apiKey X-API-Key<token>
API key for authentication
In: header
Path Parameters
mediaId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://samva.app/api/v1/media/497f6eca-6276-4993-bfeb-53cbbbba6f08/confirm" \ -H "Content-Type: application/json" \ -d '{}'{
"media": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"status": "pending",
"filename": "string",
"contentType": "string",
"sizeBytes": -9007199254740991,
"s3Key": "string",
"s3Bucket": "string",
"thumbnailS3Key": "string",
"width": -9007199254740991,
"height": -9007199254740991,
"durationMs": -9007199254740991,
"purpose": "attachment",
"checksumSha256": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"confirmedAt": "2019-08-24T14:15:22Z"
},
"downloadUrl": "http://example.com"
}